Bug 426565 - rdate upstream is alive
rdate upstream is alive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdate (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 03:19 EST by David Woodhouse
Modified: 2015-02-01 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-12-22 03:19:05 EST
People are actively working on rdate again. Upstream has new features such as
being able to talk to NTP/SNTP servers. We should update and stop shipping our
own magic tarball.

http://sourceforge.net/projects/openrdate/
Comment 1 David Woodhouse 2007-12-22 04:42:27 EST
See bug 8619 for the reason we have our own 'speshul' version. Hopefully, this
problem has been properly addressed by openrdate.
Comment 2 David Woodhouse 2007-12-22 05:11:07 EST
Turns out Christos Zoulas is a member of the NetBSD core team. Openrdate is
derived from the OpenBSD version of rdate. I don't think we have anything to
worry about.
Comment 3 Jiri Moskovcak 2008-01-29 05:40:56 EST
I went thru the code and it seems ok and it looks better than our rdate. But it 
lacks few features that our rdate has (udp support) so I wrote a patch for that 
sent it to Christos and if he'll accept it, I'll switch to openrdate.
Comment 4 David Woodhouse 2008-03-11 03:28:41 EDT
Did you get a response?
Comment 5 Jiri Moskovcak 2008-03-26 12:32:38 EDT
No, still no response from Christos.
Comment 6 Bug Zapper 2008-05-14 00:13:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 lexual 2009-03-05 21:00:27 EST
Any updates on this?
What will ship for F11?
Comment 8 Bug Zapper 2009-06-09 19:18:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:34:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.